List Datasets

GET
https://api.woosmap.com/datasets

Lists datasets.

Rate limit: 1/1s

Ratelimit: 1/1s

Authorization

private_key
apiKey query

Private key with write permission. Must stay private.

X-Api-Key
apiKey header

Private key with write permission. Must stay private.

Query Parameters

per_page
integer Defaults to 10

The maximum number of elements to return in a result page.

page
integer Defaults to 1

The result page to fetch.

Response

200 application/json

Successful Response

datasets
object[] required
Show 5 propertiesHide 5 properties
datasets. id
string (uuid) required
datasets. name
string required
datasets. created_at
string (date-time) required

The date when the dataset was created.

datasets. updated_at
string | null

The date when the dataset was last updated.

datasets. scheduled_for_deletion_after
string | null

After this date the dataset will be automatically removed

pagination
object required

Pagination represents page information.

Show 3 propertiesHide 3 properties
pagination. prev
integer | null

The previous page number if any.

pagination. next
integer | null

The next page number if any.

pagination. page
integer required

The current page number.

Errors

401

Unable to locate credentials.

application/json
detail
string required
402

Out of free quota.

application/json
detail
string required
403

Credentials found, but not matching.

application/json
detail
string required
422

Validation Error

application/json
detail
object[]
Show 3 propertiesHide 3 properties
detail. loc
any[] required
detail. msg
string required
detail. type
string required
429

Rate limit reached

application/json
detail
string required
        curl -L 'https://api.woosmap.com/datasets/?private_key=YOUR_PRIVATE_API_KEY'

    
        const requestOptions = {
  method: "GET",
  redirect: "follow"
};

fetch("https://api.woosmap.com/datasets/?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

    
        import requests

url = "https://api.woosmap.com/datasets/?private_key=YOUR_PRIVATE_API_KEY"

payload = {}
headers = {}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)


    
Was this helpful?